<mat-card class="card">
  <mat-card-content >

      <h2 *ngIf="score === 0">{{score}}</h2>
      <h2 *ngIf="score>0" style="color: green;">{{score}}</h2>
      <h2 *ngIf="score<0" style="color: red;">{{score}}</h2>
      <span *ngIf="!isTeacher">
      <mat-icon *ngIf="hasRated === null || hasRated === false" style="color: grey;" id="thumb-up" (click)=rate(true)>thumb_up</mat-icon>
      <mat-icon *ngIf="hasRated === true" style="color: green;" id="thumb-up" (click)=rate(true)>thumb_up</mat-icon>
      <mat-icon *ngIf="hasRated === null || hasRated === true" style="color: grey;" id="thumb-down" (click)=rate(false)>thumb_down</mat-icon>
      <mat-icon *ngIf="hasRated === false" style="color: red;" id="thumb-down" (click)=rate(false)>thumb_down</mat-icon>
     </span>
  </mat-card-content>

</mat-card>
